package com.logicbig.uicommon.table;

import javax.swing.*;
import java.util.ArrayList;
import java.util.List;

public class JTableUtil {

    public static List<Object[]> getSelectedRows(JTable table){
        List<Object[]> rows = new ArrayList<>();
        for (int selectedRow : table.getSelectedRows()) {
            int columnCount = table.getColumnCount();
            Object[] row = new Object[columnCount];
            for (int j = 0; j < columnCount; j++) {
                row[j]= table.getModel().getValueAt(selectedRow, j);
            }
            rows.add(row);
        }
        return rows;
    }
}